UbuntuUpdates.org

Package "zfs-linux"

Name: zfs-linux

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Solaris name-value library for Linux
  • Solaris userland utility library for Linux
  • OpenZFS filesystem library for Linux
  • OpenZFS filesystem development files for Linux

Latest version: 0.8.3-1ubuntu12.12
Release: focal (20.04)
Level: updates
Repository: main

Links



Other versions of "zfs-linux" in Focal

Repository Area Version
base main 0.8.3-1ubuntu12
base universe 0.8.3-1ubuntu12
security main 0.8.3-1ubuntu12.9
security universe 0.8.3-1ubuntu12.9
updates universe 0.8.3-1ubuntu12.12

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.8.3-1ubuntu12.12 2021-08-04 06:06:14 UTC

  zfs-linux (0.8.3-1ubuntu12.12) focal; urgency=medium

  * Fix dependency loop preventing swap partitions from being mounted
    correctly (LP: #1875577)
    - d/p/4900-Fix-a-dependency-loop.patch
    - d/p/4901-Fix-another-dependency-loop.patch

 -- Heitor Alves de Siqueira <email address hidden> Mon, 12 Jul 2021 14:36:13 +0000

Source diff to previous version
1875577 Encrypted swap won't load on 20.04 with zfs root

Version: 0.8.3-1ubuntu12.11 2021-07-22 20:06:29 UTC

  zfs-linux (0.8.3-1ubuntu12.11) focal; urgency=medium

  * Improve scrub testing in kernel-smoke-test-scrub (LP: #1934910)
    On some slower small memory systems we need to check until resilvering
    has completed. The most reliably method is to poll on a scrub until
    it finishes successfully. Give up after ~15 minutes and flag a failure
    if the scrub can't start or complete successfully.

 -- Colin Ian King <email address hidden> Thu, 8 Jul 2021 08:51:21 +0100

Source diff to previous version
1934910 zfs-linux/0.7.5-1ubuntu16.11 ADT test failure with linux-hwe-5.4/5.4.0-79.88~18.04.1

Version: 0.8.3-1ubuntu12.10 2021-07-01 12:06:24 UTC

  zfs-linux (0.8.3-1ubuntu12.10) focal; urgency=medium

  * fix uio partial copies (LP: #1904589)

 -- Andrea Righi <email address hidden> Thu, 10 Jun 2021 14:49:23 +0100

Source diff to previous version
1904589 zfs PANIC: accessing past end of object in 0.8.3-1ubuntu12.4

Version: 0.8.3-1ubuntu12.9 2021-05-19 04:06:20 UTC

  zfs-linux (0.8.3-1ubuntu12.9) focal; urgency=medium

  * No change rebuild in security pocket. LP: #1914279.

 -- Dimitri John Ledkov <email address hidden> Thu, 29 Apr 2021 16:09:45 +0100

Source diff to previous version

Version: 0.8.3-1ubuntu12.8 2021-04-26 17:06:19 UTC

  zfs-linux (0.8.3-1ubuntu12.8) focal; urgency=medium

  * Prevent build of the zfs-dkms binary package for kernels later than 5.4.
    This is a re-working of the fix for bug #1902701 with the \ escaped
    so that 5.10+ kernels get detected correctly (LP: #1919252)

 -- Colin Ian King <email address hidden> Wed, 07 Apr 2021 13:44:14 +0100

1919252 zfs-dkms on Focal still allows building on Linux kernel version 5.10+



About   -   Send Feedback to @ubuntu_updates